Upload a task comment attachment
curl --request POST \
--url https://connie.ai/api/tasks/{taskId}/comments/attachments \
--header 'Content-Type: multipart/form-data' \
--cookie session= \
--form file=@example-file \
--form 'workspaceId=<string>'import requests
url = "https://connie.ai/api/tasks/{taskId}/comments/attachments"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "workspaceId": "<string>" }
headers = {"cookie": "session="}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('workspaceId', '<string>');
const options = {method: 'POST', headers: {cookie: 'session='}};
options.body = form;
fetch('https://connie.ai/api/tasks/{taskId}/comments/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>",
"name": "<string>",
"type": "<string>",
"size": 123
}Tasks
Upload a task comment attachment
Uploads a file attachment for a task comment. Max 10MB. Allowed: images (JPEG, PNG, GIF, WebP, SVG), PDF, Word, Excel, plain text, CSV. Stored in the attachment bucket at task-comments/{workspaceId}/{taskId}/.
POST
/
tasks
/
{taskId}
/
comments
/
attachments
Upload a task comment attachment
Authorizations
Path Parameters
Body
multipart/form-data